Name:           cert-forensics-examiner-release
%if 0%{?fedora} > 0
Version:	%(eval "echo %{dist} | sed -n -e 's/.fc//p'")
%endif
%if  0%{?rhel} == 5
Version:        %(eval "echo `awk '{print $3}' /etc/redhat-release`")
%endif
%if 0%{?rhel} == 6
Version:	%(eval "echo %{dist} | sed -n -e 's/.el//p'")
%endif
Release:	6
Summary:        CERT Forensics Examiner Freeword Respository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://www.cert.org/forensics
Source0:        cert-forensics-examiner-fedora.repo
Source1:        cert-forensics-examiner-centos.repo
Source8:        RPM-GPG-KEY-adobe-linux
Source9:        RPM-GPG-KEY-webmin
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%if 0%{?fedora} > 0
Requires:       fedora-release == %{version}
%endif
%if 0%{?centos} > 0
Requires:       redhat-release >= 5
%endif

Requires:	cert-forensics-tools-release

%description
cert forensics examiner freeworld repository contains open source and other
distributable software for Fedora Core + Extras.

%prep
%setup -c -T

%build

%install
rm -rf $RPM_BUILD_ROOT

# common
install -Dpm 644 %{SOURCE8} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-adobe-linux

install -Dpm 644 %{SOURCE9} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-webmin

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%if 0%{?fedora} > 0
	install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/cert-forensics-examiner.repo
%endif
%if 0%{?centos} > 0
	install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/cert-forensics-examiner.repo
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config %{_sysconfdir}/yum.repos.d/*

%changelog
* Tue Feb 05 2013 Lawrence R. Rogers <lrr@cert.org> - 
- 6: Added examiner-test repository

* Wed Aug 25 2010 Lawrence R. Rogers <lrr@cert.org>
- 3: Fixed location of webmin key

* Wed Aug 25 2010 Lawrence R. Rogers <lrr@cert.org>
- 2: Changed name of examiner from [forensics] to [examiner]

* Tue Aug 24 2010 Lawrence R. Rogers <lrr@cert.org>
- Initial release

